Subject: Re: linux 2.6 hangs at __delay function on Viretx 4 board

From: swamydp <[email-masked]>
Date: Thu, 19 Jun 2008 09:33:07 -0700 (PDT)

Hello 

Sorry for the late reply. I was busy with another project.

I finally got linux 2.6 to boot on HITECH board. 

Thanks to John Linn for all the pointers to debug the code. I also got the
UARTLITE as console working. I had to disable several macros in
virtex_devices.c to make the kernel boot.

Now I am working on using UART16550 as console which is free at Xilinx after
registration. Thanks to Marc and Stephen for the info.

--swamy

swamydp wrote:
> 
> 
> I am trying to boot linux 2.6 on HITECH virtex 4(fx60) board. Linux hangs
> at address 0xc00045ec which is in the __udelay function. I am using EDK
> 9.2i and gcc version 4.0.2 for compiling the kernel. The following is the
> boot message from the bootloader. 
> 
> loaded at:     00400000 0054E19C
> board data at: 0054C120 0054C19C
> relocated to:  00404064 004040E0
> zimage at:     00404E55 0054B5B4
> avail ram:     0054F000 02000000
> 
> Linux/PPC load: console=ttyS0,9600 console=tty0 root=/dev/sda2
> Uncompressing Linux...done.
> Now booting the kernel
> 
> Any help is greatly appreciated. I have run out of ideas to fix this.
> 
> Thanks
> swamy
> 
> 

-- 
View this message in context: http://www.nabble.com/linux-2.6-hangs-at-__delay-function-on-Viretx-4-board-tp17222725p18012972.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.